<?php

namespace FiloBlu\Rma\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

/**
 *
 */
class Matrixrate implements OptionSourceInterface
{
    /**
     * @var \WebShopApps\MatrixRate\Model\Carrier\Matrixrate
     */
    protected $carrierMatrixrate;

    /**
     * @param \WebShopApps\MatrixRate\Model\Carrier\Matrixrate $carrierMatrixrate
     */
    /**
     * TODO: remove webshop app matrixrate dependency
     */
    public function __construct(\WebShopApps\MatrixRate\Model\Carrier\Matrixrate $carrierMatrixrate)
    {
        $this->carrierMatrixrate = $carrierMatrixrate;
    }

    /**
     * @return array
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function toOptionArray()
    {

        $arr = [];
        foreach ($this->carrierMatrixrate->getCode('condition_name') as $k => $v) {
            $arr[] = ['value' => $k, 'label' => $v];
        }
        return $arr;
    }
}
